LANGUAGES_MAP = {
    'Abkhaz': 'abk',
    'Afar': 'aar',
    'Afrikaans': 'afr',
    'Akan': 'aka',
    'Albanian': 'sqi',
    'Amharic': 'amh',
    'Arabic': 'ara',
    'Aragonese': 'arg',
    'Armenian': 'hye',
    'Assamese': 'asm',
    'Avaric': 'ava',
    'Avestan': 'ave',
    'Aymara': 'aym',
    'Azerbaijani': 'aze',
    'Bambara': 'bam',
    'Bashkir': 'bak',
    'Basque': 'eus',
    'Belarusian': 'bel',
    'Bengali': 'ben',
    'Bihari': 'bih',
    'Bislama': 'bis',
    'Bosnian': 'bos',
    'Breton': 'bre',
    'Bulgarian': 'bul',
    'Burmese': 'mya',
    'Catalan': 'cat',
    'Chamorro': 'cha',
    'Chechen': 'che',
    'Chichewa': 'nya',
    'Chinese - Cantonese': 'yue',
    'Chinese - China': 'zho',
    'Chinese - Taiwan': 'zhtw',
    'Chuvash': 'chv',
    'Cornish': 'cor',
    'Corsican': 'cos',
    'Cree': 'cre',
    'Croatian': 'hrv',
    'Czech': 'ces',
    'Danish': 'dan',
    'Divehi': 'div',
    'Dutch': 'nld',
    'Dzongkha': 'dzo',
    'English': 'eng',
    'Esperanto': 'epo',
    'Estonian': 'est',
    'Ewe': 'ewe',
    'Faroese': 'fao',
    'Fijian': 'fij',
    'Finnish': 'fin',
    'French': 'fra',
    'Fula': 'ful',
    'Galician': 'glg',
    'Georgian': 'kat',
    'German': 'deu',
    'Greek': 'ell',
    'Guaraní': 'grn',
    'Gujarati': 'guj',
    'Haitian': 'hat',
    'Hausa': 'hau',
    'Hebrew': 'heb',
    'Herero': 'her',
    'Hindi': 'hin',
    'Hiri Motu': 'hmo',
    'Hungarian': 'hun',
    'Icelandic': 'isl',
    'Ido': 'ido',
    'Igbo': 'ibo',
    'Indonesian': 'ind',
    'Interlingua': 'ina',
    'Interlingue': 'ile',
    'Inuktitut': 'iku',
    'Inupiaq': 'ipk',
    'Irish': 'gle',
    'Italian': 'ita',
    'Japanese': 'jpn',
    'Javanese': 'jav',
    'Kalaallisut': 'kal',
    'Kannada': 'kan',
    'Kanuri': 'kau',
    'Kashmiri': 'kas',
    'Kazakh': 'kaz',
    'Khmer': 'khm',
    'Kikuyu': 'kik',
    'Kinyarwanda': 'kin',
    'Kirghiz': 'kir',
    'Kirundi': 'run',
    'Komi': 'kom',
    'Kongo': 'kon',
    'Korean': 'kor',
    'Kurdish': 'kur',
    'Kwanyama': 'kua',
    'Lao': 'lao',
    'Latin': 'lat',
    'Latvian': 'lav',
    'Limburgish': 'lim',
    'Lingala': 'lin',
    'Lithuanian': 'lit',
    'Luba-Katanga': 'lub',
    'Luganda': 'lug',
    'Luxembourgish': 'ltz',
    'Macedonian': 'mkd',
    'Malagasy': 'mlg',
    'Malay': 'msa',
    'Malayalam': 'mal',
    'Maltese': 'mlt',
    'Manx': 'glv',
    'Marathi': 'mar',
    'Marshallese': 'mah',
    'Mongolian': 'mon',
    'Māori': 'mri',
    'Nauru': 'nau',
    'Navajo': 'nav',
    'Ndonga': 'ndo',
    'Nepali': 'nep',
    'North Ndebele': 'nde',
    'Northern Sami': 'sme',
    'Norwegian': 'nor',
    'Nuosu': 'iii',
    'Occitan': 'oci',
    'Ojibwe': 'oji',
    'Old Church Slavonic': 'chu',
    'Oriya': 'ori',
    'Oromo': 'orm',
    'Ossetian': 'oss',
    'Panjabi': 'pan',
    'Pashto': 'pus',
    'Persian': 'fas',
    'Polish': 'pol',
    'Portuguese - Brazil': 'pt',
    'Portuguese - Portugal': 'por',
    'Pāli': 'pli',
    'Quechua': 'que',
    'Romanian': 'ron',
    'Romansh': 'roh',
    'Russian': 'rus',
    'Samoan': 'smo',
    'Sango': 'sag',
    'Sanskrit': 'san',
    'Sardinian': 'srd',
    'Scottish Gaelic': 'gla',
    'Serbian': 'srp',
    'Shona': 'sna',
    'Sindhi': 'snd',
    'Sinhala': 'sin',
    'Slovak': 'slk',
    'Slovene': 'slv',
    'Somali': 'som',
    'South Ndebele': 'nbl',
    'Southern Sotho': 'sot',
    'Spanish': 'spa',
    'Sundanese': 'sun',
    'Swahili': 'swa',
    'Swati': 'ssw',
    'Swedish': 'swe',
    'Tagalog': 'tgl',
    'Tahitian': 'tah',
    'Tajik': 'tgk',
    'Tamil': 'tam',
    'Tatar': 'tat',
    'Telugu': 'tel',
    'Thai': 'tha',
    'Tibetan Standard': 'bod',
    'Tigrinya': 'tir',
    'Tonga': 'ton',
    'Tsonga': 'tso',
    'Tswana': 'tsn',
    'Turkish': 'tur',
    'Turkmen': 'tuk',
    'Twi': 'twi',
    'Uighur': 'uig',
    'Ukrainian': 'ukr',
    'Urdu': 'urd',
    'Uzbek': 'uzb',
    'Venda': 'ven',
    'Vietnamese': 'vie',
    'Volapük': 'vol',
    'Walloon': 'wln',
    'Welsh': 'cym',
    'Western Frisian': 'fry',
    'Wolof': 'wol',
    'Xhosa': 'xho',
    'Yiddish': 'yid',
    'Yoruba': 'yor',
    'Zhuang': 'zha',
    'Zulu': 'zul',
}
